GCLOUD_COMPUTE_INSTANCES_ADD-METADATA(1)

NAME

gcloud compute instances add-metadata - add or update instance metadata

SYNOPSIS

gcloud compute instances add-metadata NAME [--metadata KEY=VALUE,[KEY=VALUE,...]] [--metadata-from-file KEY=LOCAL_FILE_PATH,[KEY=LOCAL_FILE_PATH,...]] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances add-metadata can be used to add or update the metadata of a virtual machine instance. Every instance has access to a metadata server that can be used to query metadata that has been set through this tool. For information on metadata, see https://cloud.google.com/compute/docs/metadata. Only metadata keys that are provided are mutated. Existing metadata entries will remain unaffected.

POSITIONAL ARGUMENTS
NAME
    The name of the instance whose metadata should be modified.

FLAGS
--metadata KEY=VALUE,[KEY=VALUE,...]
    Metadata to be made available to the guest operating system running on the instances. Each metadata entry is a key/value pair separated by an equals sign. Metadata keys must be unique and less than 128 bytes in length. Values must be less than or equal to 32,768 bytes in length. Multiple arguments can be passed to this flag, e.g., --metadata key-1=value-1,key-2=value-2,key-3=value-3. In images that have Compute Engine tools installed (https://cloud.google.com/compute/docs/images) on them, the following metadata keys have special meanings: startup-script
        Specifies a script that will be executed by the instances once they start running. For convenience, --metadata-from-file can be used to pull the value from a file.
    startup-script-url
        Same as startup-script except that the script contents are pulled from a publicly-accessible location on the web.
--metadata-from-file KEY=LOCAL_FILE_PATH,[KEY=LOCAL_FILE_PATH,...]
    Same as --metadata except that the value for the entry will be read from a local file. This is useful for values that are too large such as startup-script contents.
--zone ZONE
    The zone of the instance to set metadata on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.